Last Comment Bug 725634 - Google Search results not working when cookies disabled
: Google Search results not working when cookies disabled
Status: VERIFIED FIXED
:
Product: Tech Evangelism Graveyard
Classification: Graveyard
Component: Other (show other bugs)
: unspecified
: All All
-- critical
: ---
Assigned To: other
:
:
Mentors:
: 725637 725725 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-09 06:29 PST by Carsten Book [:Tomcat]
Modified: 2015-04-19 23:46 PDT (History)
19 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description User image Carsten Book [:Tomcat] 2012-02-09 06:29:22 PST
Steps to replicate using Fx9/10 are:

- Open Firefox
- Disable Third-party cookies (Options/Preferences->Privacy and change
History to "Custom". You'll see a number of options, uncheck accept cookies)
- Go to any google search page and enter terms
- Click on the link. Nothing apparent happens, and an error is thrown in
the browser console (Error: uncaught exception: [Exception... "Security
error"  code: "1000" nsresult: "0x805303e8 (NS_ERROR_DOM_SECURITY_ERR)"
  location:
"http://www.google.ca/url?sa=t&rct=j&q=deadsquid&source=web&cd=1&ved=0CCQQFjAA&url=http%3A%2F%2Fdeadsquid.com%2F&ei=LdMzT5Q_6eLRAcWD9bQC&usg=AFQjCNGbQp88pjPxF65BuykF-HKP950TKw 
Line: 1"])
Comment 1 User image Kev Needham [:kev] 2012-02-09 06:32:47 PST
*** Bug 725637 has been marked as a duplicate of this bug. ***
Comment 2 User image Kev Needham [:kev] 2012-02-09 06:33:19 PST
Google has been notified, as well.
Comment 3 User image Carsten Book [:Tomcat] 2012-02-09 06:35:50 PST
also note that the scenario in comment #0 produce a blank page when you click on the results on the https search
Comment 4 User image Benjamin Smedberg [:bsmedberg] 2012-02-09 07:32:15 PST
>	xul.dll!XPCThrower::BuildAndThrowException(cx=0x07d5e780, rv=0x805303e8, sz=0x0ebb5580)  Line 231	C++
 	xul.dll!ThrowCallFailed(cx=0x07d5e780, rv=0x805303e8, ifaceName=0x04fec9cd, memberId=0x0754bc10, memberName=0x00000000)  Line 562	C++
 	xul.dll!xpc_qsThrowGetterSetterFailed(cx=0x07d5e780, rv=0x805303e8, obj=0x0ee9f3a0, memberId=0x0754bc10)  Line 576	C++
 	xul.dll!nsIDOMWindow_GetLocalStorage(cx=0x07d5e780, obj=0x07060010, id=0x0754bc10, vp=0x0014c458)  Line 507	C++
 	mozjs.dll!js::Shape::get(cx=0x07d5e780, receiver=0x07060010, obj=0x0ee9f3a0, pobj=0x0ee6d840, vp=0x0014c458)  Line 301	C++
 	mozjs.dll!js_GetProperty(cx=0x0ee6d840, obj=0x0ee9f3a0, receiver=0x07060010, id=0x0754bc00, vp=0x0014c458)  Line 5412	C++
 	mozjs.dll!JSObject::getGeneric(cx=0x07d5e780, receiver=0x07060010, id=0x0754bc10, vp=0x0014c458)  Line 211	C++
 	mozjs.dll!js::Wrapper::get(cx=0x07d5e780, wrapper=0x07060010, receiver=0x07060010, id=0x0754bc10, vp=0x0014c401)  Line 230	C++
 	mozjs.dll!js::Proxy::get(cx=0x07d5e780, proxy=0x07060010, receiver=0x07060010, id=0x0754bc10, vp=0x0014c458)  Line 856	C++
 	mozjs.dll!proxy_GetSpecial(cx=0x07d5e780, obj=0x07060010, receiver=0x07060010, sid={...}, vp=0x0014c458)  Line 1066	C++
 	mozjs.dll!js::GetPropertyGenericMaybeCallXML(cx=0x07d5e780, op=JSOP_GETPROP, obj=0x07060010, id=0x0754bc10, vp=0x0014c458)  Line 217	C++
 	mozjs.dll!js::GetPropertyOperation(cx=0x07d5e780, pc=0x07060010, lval={...}, vp=0x0014c458)  Line 285	C++
 	mozjs.dll!js::Interpret(cx=0x07d5e780, entryFrame=0x06a80020, interpMode=JSINTERP_NORMAL)  Line 2645	C++
 	mozjs.dll!js::RunScript(cx=0x07d5e780, script=0x0ee27c00, fp=0x06a80020)  Line 454	C++
 	mozjs.dll!js::ExecuteKernel(cx=0x07d5e780, script=0x0ee27c10, scopeChain={...}, thisv={...}, type=EXECUTE_GLOBAL, evalInFrame=0x00000000, result=0x00000000)  Line 658	C++
 	mozjs.dll!js::Execute(cx=0x07d5e780, script=0x0ee27c10, scopeChainArg={...}, rval=0x00000000)  Line 698	C++
 	mozjs.dll!EvaluateUCScriptForPrincipalsCommon(cx=0x07d5e780, obj=0x0ee9f3a0, principals=0x0a9230b4, originPrincipals=0x00000000, chars=0x0f23a008, length=0x0000094f, filename=0x078fb7a8, lineno=0x00000001, rval=0x00000000, compileVersion=JSVERSION_DEFAULT)  Line 5331	C++
 	mozjs.dll!JS_EvaluateUCScriptForPrincipalsVersionOrigin(cx=0x07d5e780, obj=0x0ee9f3a0, principals=0x0a9230b4, originPrincipals=0x00000000, chars=0x0f23a008, length=0x0000094f, filename=0x078fb7a8, lineno=0x00000001, rval=0x00000000, version=JSVERSION_DEFAULT)  Line 5368	C++
 	xul.dll!nsJSContext::EvaluateString(aScript={...}, aScopeObject=0x0ee9f3a0, aPrincipal=0x0a9230b0, aOriginPrincipal=0x00000000, aURL=0x078fb7a8, aLineNo=0x00000001, aVersion=0x00000000, aRetValue=0x00000000, aIsUndefined=0x0014c99b)  Line 1507	C++
 	xul.dll!nsScriptLoader::EvaluateScript(aRequest=0x0aa1c708, aScript={...})  Line 903	C++
 	xul.dll!nsScriptLoader::ProcessRequest(aRequest=0x0e0e7e20)  Line 796	C++
 	xul.dll!nsScriptLoader::ProcessScriptElement(aElement=0x0ec7c634)  Line 742	C++
 	xul.dll!nsScriptElement::MaybeProcessScript()  Line 182	C++
 	xul.dll!nsHtml5TreeOpExecutor::RunScript(aScriptElement=0x0ec7c5f0)  Line 759	C++

So we're throwing on window.localStorage when cookies are disabled.
Comment 5 User image Benjamin Smedberg [:bsmedberg] 2012-02-09 07:37:08 PST
The behavior of Chrome when cookies are disabled is that window.localStorage is a storage value, but trying to set any key throws QUOTA_EXCEEDED_ERR.
Comment 6 User image Kohei Yoshino [:kohei] 2012-02-09 07:42:36 PST
(copying from my post to release-drivers)

I just checked Japanese user forums and tweets and found a few reports
on the same issue.

* A tweet says his environment is Mac OS X 10.6.8 and Firefox 3.6.25.
* Another says that the issue was resolved by removing all cookies then
  allowing cookies from google.co.jp.
* Yet another says he has found a workaround: forging the user agent.
Comment 7 User image Kev Needham [:kev] 2012-02-09 07:52:06 PST
Is the UA they used specified?

(In reply to Kohei Yoshino from comment #6)
> (copying from my post to release-drivers)
> * Yet another says he has found a workaround: forging the user agent.
Comment 8 User image Kohei Yoshino [:kohei] 2012-02-09 07:54:55 PST
> Is the UA they used specified?

No.
Comment 9 User image Alice0775 White 2012-02-09 09:44:34 PST
UA spoofing(Chrome, IE) does not help.
dom.storage.enabled = false helps.
Comment 10 User image Robert Longson 2012-02-09 10:38:30 PST
*** Bug 725725 has been marked as a duplicate of this bug. ***
Comment 11 User image Mike Graboski 2012-02-09 14:29:33 PST
Google has pushed a fix for this issue.  Please test and let us know if there are any more problems.
Comment 12 User image Kev Needham [:kev] 2012-02-09 17:51:54 PST
Thanks, Mike, I'm not seeing the issue any longer, and will ask our QA team to confirm. Thanks again for jumping on this and correcting it .
Comment 13 User image Carsten Book [:Tomcat] 2012-02-09 23:34:47 PST
verified fixed, did some testing and it works fine
Comment 14 User image Swarnava Sengupta (:Swarnava) 2012-02-10 00:24:01 PST
The search is now working normally.
Comment 15 User image Kohei Yoshino [:kohei] 2012-02-10 00:51:46 PST
I'm still seeing the issue on Google.co.jp.
https://www.google.co.jp/search?hl=ja&q=%E9%BA%B9%E7%94%BA%E3%81%8B%E3%82%89%E5%93%81%E5%B7%9D

Those quick links (Google Transit) on the top won't work:
"Google 乗換案内" "駅探" "えきから時刻表"
Comment 16 User image Alice0775 White 2012-02-10 00:56:08 PST
(In reply to Kohei Yoshino from comment #15)
> I'm still seeing the issue on Google.co.jp.
> https://www.google.co.jp/
> search?hl=ja&q=%E9%BA%B9%E7%94%BA%E3%81%8B%E3%82%89%E5%93%81%E5%B7%9D
> 
> Those quick links (Google Transit) on the top won't work:
> "Google 乗換案内" "駅探" "えきから時刻表"
Confirmed  and the following error in Error console when I click the quick link.

Error: Security error = NS_ERROR_DOM_SECURITY_ERR
Source file: https://www.google.co.jp/url?url=http://www.google.co.jp/transit%3Fsa%3DX%26oi%3Dja_train%26hl%3Dja%26ie%3DUTF8%26f%3Dd%26saddr%3D%25E9%25BA%25B9%25E7%2594%25BA%26daddr%3D%25E5%2593%2581%25E5%25B7%259D&rct=j&sa=X&ei=Kts0T4-mG4qamQWjkMymAg&ved=0CCQQ5AEoADAA&q=%E9%BA%B9%E7%94%BA%E3%81%8B%E3%82%89%E5%93%81%E5%B7%9D&usg=AFQjCNGEo0sNbI0v-OpuSwHc4i8LD4U41A
Comment 17 User image CruNcher 2012-02-10 07:40:02 PST
(In reply to Mike Graboski from comment #11)
> Google has pushed a fix for this issue.  Please test and let us know if
> there are any more problems.

A fix in your search system or a fix into the Firefox code base ?
Comment 18 User image CruNcher 2012-02-10 07:42:51 PST
Ah ok i see you fixed it locally
Comment 19 User image CruNcher 2012-02-10 07:45:13 PST
@  Mike Graboski
would it be also possible to allow the Google Search Domain change without the need for Cookies ?
Comment 20 User image CruNcher 2012-02-10 07:50:50 PST
http://www.google.com/ncr

also is restricted now to cookie use all of these worked before without the need for cookies
Comment 21 User image Mike Graboski 2012-02-10 10:11:14 PST
(In reply to Alice0775 White from comment #16)
> (In reply to Kohei Yoshino from comment #15)

I have also been able to reproduce this issue.  Will investigate and update this thread once I have additional info.
Comment 22 User image Mike Graboski 2012-02-10 10:26:04 PST
(In reply to CruNcher from comment #19)

The Search Domain change will still require Firefox to send cookies to Google to help determine the appropriate TLD for google.com.  (Additional comments about the Search Domain change should be added to bug #633773).
Comment 23 User image Mike Graboski 2012-02-10 12:12:49 PST
(In reply to Mike Graboski from comment #21)

Google's search team is working on a fix for this issue.  I will update this thread when the fix has been pushed.
Comment 24 User image Mike Graboski 2012-02-10 21:20:06 PST
A fix to the Japan Transit links issue is now live on Google.  Please feel free to verify that the links are now working as expected.  Thanks for testing and helping us catch all these cases!
Comment 25 User image Kohei Yoshino [:kohei] 2012-02-11 21:50:53 PST
The rest of the issue on Google.co.jp seems fixed. Thank you.
Comment 26 User image dmck 2012-12-11 07:22:14 PST
This still appears to be a problem in Firefox 17.0.1 (December 2012)
Running in Ubuntu 12.04

To reproduce:

Start Firefox in safe mode 'firefox -safe-mode'
Disable Cookies from all sites
Go to http://www.google.co.uk/
Search for eg 'enlightenment'
You get no results.
Reload the page
You see the results
Click on the next button
Page goes pale and one does not move onto the next page.
Reload the page
You see the results
Comment 27 User image Loic 2012-12-11 07:33:26 PST
(In reply to dmck from comment #26)
> This still appears to be a problem in Firefox 17.0.1 (December 2012)
> Running in Ubuntu 12.04

File a new bug, I think it's due to the new Google Search layout (Knowledge Graph) deployed by Google in the world.
Comment 28 User image Mike Graboski 2012-12-12 10:20:03 PST
A Google search fix for this bug has been pushed.  Please let me know if you still encounter broken search functionality in Firefox.
Comment 29 User image Loic 2012-12-12 13:32:51 PST
(In reply to Mike Graboski from comment #28)
> A Google search fix for this bug has been pushed.  Please let me know if you
> still encounter broken search functionality in Firefox.

Issue followed in bug 820389.

Note You need to log in before you can comment on or make changes to this bug.